import robot


def move_to_next_stack():
    robot.drive_right()
    robot.drive_right()


# Pick up a box from the shelf, without hitting adjacent boxes.
# assumption: robot is in front of the box, lift is down.
def grasp_box_on_shelf():
    robot.lift_up()
    robot.gripper_to_open()
    robot.lift_down()
    robot.gripper_to_closed()
    robot.lift_up()

# Release the box we're holding (on top of another) and pick up
# the one below (with the one we just dropped on top of it).
def release_and_pickup_next():
    robot.gripper_to_open()
    robot.lift_down()
    robot.gripper_to_closed()
    robot.lift_up()

robot.init(width=9, boxes="flat")

# position the robot in front of the first stack
robot.drive_right()

# pick up the first box an move to next stack
grasp_box_on_shelf()
move_to_next_stack()

# repeat these two steps for each box in the middle
release_and_pickup_next()
move_to_next_stack()
release_and_pickup_next()
move_to_next_stack()
release_and_pickup_next()
move_to_next_stack()

# park the robot
robot.gripper_to_folded()
robot.lift_down()
